library(psych)

coding_data <- read.csv("Responses Coders Assignment.csv")
confusion_matrix <- table(coding_data$Coder.1, coding_data$Coder.2)

# Print the confusion matrix
print(confusion_matrix)

# Calculate Cohen's Kappa
kappa_result <- cohen.kappa(confusion_matrix)

# Display the result
print(kappa_result)

# Get unique codes
codes <- unique(c(coding_data$Coder.1, coding_data$Coder.2))

# Initialize a list to store Kappa results
kappa_per_code <- list()

# Loop through each code
for (code in codes) {
  # Create binary columns for the specific code
  coder1_binary <- ifelse(coding_data$Coder.1 == code, 1, 0)
  coder2_binary <- ifelse(coding_data$Coder.2 == code, 1, 0)
  
  # Create a confusion matrix for the binary data
  confusion_matrix <- table(coder1_binary, coder2_binary)
  
  # Calculate Cohen's Kappa for the code
  kappa <- cohen.kappa(confusion_matrix)$kappa
  
  # Store the result
  kappa_per_code[[code]] <- kappa
}

# Print results for each code
print(kappa_per_code)

# Calculate the average Kappa
average_kappa <- mean(unlist(kappa_per_code))
cat("Average Kappa:", average_kappa, "\n")



# Count occurrences of each value in the column 'common_ground'
value_counts <- table(coding_data$Common.Ground)

# Convert to a data frame for better readability (optional)
value_counts_df <- as.data.frame(value_counts)

# Print the result
print(value_counts_df)






